import { Provider } from '@angular/core';
import { IconCDNFeature, IconColorFeature, IconFeatures, IconHeightFeature, IconPickFeature, IconSizeFeature, IconWidthFeature } from './icons.feature';
import { ColorValueHex, IconsType } from './types';
export declare function provideBi(...features: IconFeatures[]): Provider[];
export declare function provideIcons(icons: IconsType): Provider;
export declare function provideLocalIconsLoader(): Provider;
type URLFactory = () => string;
export declare function provideCDNIconsLoader(cdnUrlsOrFactories: URLFactory): Provider;
export declare function provideCDNIconsLoader(...cdnUrlsOrFactories: string[]): Provider;
export declare function provideCDNIconsLoader(...cdnUrlsOrFactories: (string | URLFactory)[]): Provider;
export declare function withCDN(cdnUrlsOrFactories: URLFactory): IconCDNFeature;
export declare function withCDN(...cdnUrlsOrFactories: string[]): IconCDNFeature;
export declare function withIcons(icons: IconsType): IconPickFeature;
export declare function withWidth(width: string): IconWidthFeature;
export declare function withHeight(height: string): IconHeightFeature;
export declare function withColor(color: ColorValueHex): IconColorFeature;
export declare function withSize(size: string): IconSizeFeature;
export {};
